package files

import (
	"os"
)

func GetPermForDir(dirLocation string) os.FileMode {
	userHome, err := os.UserHomeDir()

	if err == nil {
		if IsFileLocatedIn(dirLocation, userHome) {
			return DirUserPermitted
		}
	}

	return DirAllPermitted
}
